=== debian/control ===
Source: ros-rolling-rosidl-cmake
Section: misc
Priority: optional
Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-python, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rosidl-cmake
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-empy, ros-rolling-ament-cmake, ros-rolling-rosidl-adapter, ros-rolling-rosidl-parser, ros-rolling-ros-workspace
Description: The CMake functionality to invoke code generation for ROS interface files.
