## ros-rolling-rosidl-cmake 4.4.0

=== debian/changelog ===
ros-rolling-rosidl-cmake (4.4.0-1jammy) jammy; urgency=high

  * Add rosidl_find_package_idl helper function (#754 <https://github.com/ros2/rosidl/issues/754>)
  * Contributors: Mike Purvis

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rosidl-cmake (4.3.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rosidl-cmake (4.3.0-1jammy) jammy; urgency=high

  * Remove unused splitting of .srv files in CMake (#753 <https://github.com/ros2/rosidl/issues/753>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rosidl-cmake (4.2.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-rosidl-cmake (4.1.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rosidl-cmake (4.1.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-rosidl-cmake (4.0.0-1jammy) jammy; urgency=high

  * Type Description Codegen and Typesupport  (rep2011) (#727 <https://github.com/ros2/rosidl/issues/727>)
  * Type hash in interface codegen (rep2011) (#722 <https://github.com/ros2/rosidl/issues/722>)
  * Contributors: Emerson Knapp

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-rosidl-cmake (3.4.0-1jammy) jammy; urgency=high

  * [service introspection] generate service_event messages (#700 <https://github.com/ros2/rosidl/issues/700>)
  * [rolling] Update maintainers - 2022-11-07 (#717 <https://github.com/ros2/rosidl/issues/717>)
  * Contributors: Audrow Nash, Brian

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-rolling-rosidl-cmake (3.3.1-1jammy) jammy; urgency=high

  * Skip rosidl_generate_interfaces dependency export on SKIP_INSTALL. (#708 <https://github.com/ros2/rosidl/issues/708>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rosidl-cmake (3.3.0-1jammy) jammy; urgency=high

  * Move rosidl_cmake Python module to a new package rosidl_pycommon (#696 <https://github.com/ros2/rosidl/issues/696>)
    Deprecate the Python module in rosidl_cmake and move the implementation to the new package rosidl_pycommon.
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 08 Sep 2022 00:00:00 -0000

ros-rolling-rosidl-cmake (3.2.1-1jammy) jammy; urgency=high

  * Fix comment in camel case conversion function (#683 <https://github.com/ros2/rosidl/issues/683>)
  * Protect rosidl_target_interfaces from using NOTFOUND in include_directories (#679 <https://github.com/ros2/rosidl/issues/679>)
  * Contributors: Jose Luis Rivero, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 21 Jun 2022 00:00:00 -0000

ros-rolling-rosidl-cmake (3.2.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 04 May 2022 00:00:00 -0000

ros-rolling-rosidl-cmake (3.1.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-rosidl-cmake (3.1.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-rolling-rosidl-cmake (3.1.1-1jammy) jammy; urgency=high

  * Make rosidl_get_typesupport_target return -NOTFOUND instead of FATAL_ERROR (#672 <https://github.com/ros2/rosidl/issues/672>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-rosidl-cmake (3.1.0-1jammy) jammy; urgency=high

  * Add introspection typesupport tests for C/C++ messages (#651 <https://github.com/ros2/rosidl/issues/651>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rosidl-cmake (3.0.1-1jammy) jammy; urgency=high

  * Use target output name for exporting typesupport library (#625 <https://github.com/ros2/rosidl/issues/625>)
  * Contributors: Jonathan Selling

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 00:00:00 -0000

ros-rolling-rosidl-cmake (3.0.0-1jammy) jammy; urgency=high

  * Update package maintainers (#624 <https://github.com/ros2/rosidl/issues/624>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 05 Nov 2021 00:00:00 -0000

ros-rolling-rosidl-cmake (2.5.0-1jammy) jammy; urgency=high

  * Revert "Bundle and ensure the exportation of rosidl generated targets" (#611 <https://github.com/ros2/rosidl/issues/611>)
  * Add rosidl_get_typesupport_target and deprecate rosidl_target_interfaces (#606 <https://github.com/ros2/rosidl/issues/606>)
  * Contributors: Michel Hidalgo, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 10 Aug 2021 00:00:00 -0000

ros-rolling-rosidl-cmake (2.4.0-1jammy) jammy; urgency=high

  * Bundle and ensure the exportation of rosidl generated targets (#601 <https://github.com/ros2/rosidl/issues/601>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Jul 2021 00:00:00 -0000

ros-rolling-rosidl-cmake (2.3.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 11 Jun 2021 00:00:00 -0000

ros-rolling-rosidl-cmake (2.2.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-rosidl-cmake (2.2.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-rosidl-cmake (2.1.0-1jammy) jammy; urgency=high

  * Shorten some excessively long lines of CMake (#571 <https://github.com/ros2/rosidl/issues/571>)
  * Contributors: Scott K Logan


