=== debian/control ===
Source: ros-rolling-rosidl-cmake
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-python, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rosidl-cmake
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-empy, ros-rolling-ament-cmake, ros-rolling-rosidl-pycommon, ros-rolling-ros-workspace
Description: The CMake functionality to invoke code generation for ROS interface files.
